#property     indicator_chart_window
#property     indicator_buffers 1
#property     indicator_color1      LimeGreen

extern bool   varAsProperty         = true;
extern color  future_color          = Red;

double   MABuf[];
int      limit;
bool     firstTick = true;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
      SetIndexStyle (0, DRAW_LINE);
      SetIndexBuffer(0, MABuf);
      
      if(varAsProperty)
      {
           future_color = indicator_color1;
      }
      return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
{
      ObjectDelete("ema");
      return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
      int counted_bars   =  IndicatorCounted();

      if (counted_bars < 0) return(-1);
      limit = Bars - counted_bars;
      
      for(int i = 0; i < limit; i++)
      {
            MABuf[i] = iMA(NULL, 0, 55, 0, MODE_EMA, PRICE_CLOSE, i);      
      }
      if (firstTick)
      {
            ObjectCreate("ema", OBJ_TREND, 0, Time[0], MABuf[0], Time[0] + 10*60*Period(), MABuf[0]);
            Print("error = ", GetLastError());
            ObjectSet   ("ema", OBJPROP_COLOR, future_color);
            ObjectSet   ("ema", OBJPROP_STYLE, 0);
            ObjectSet   ("ema", OBJPROP_WIDTH, 2);
            firstTick = false;
      }
      return(0);
}
//+------------------------------------------------------------------+



